#include "stdafx.h"

#include "xtr/doc/FileTypes.h"

namespace xtr {

CString ExtensionFor(const FileType type) {
  static const std::unordered_map<FileType, CString> extension = { 
    { FileType::trs, LR"(.trs)" }, { FileType::rsm, LR"(.rsm)" }, { FileType::oss, LR"(.oss)" },
    { FileType::json, LR"(.json)" }, { FileType::docx, LR"(.docx)" }, { FileType::csv, LR"(.csv)" },
    { FileType::txt, LR"(.txt)" }, { FileType::xlsx, LR"(.xlsx)" }, { FileType::png, LR"(.png)" },
  };
  if (!extension.contains(type)) {
    return {};
  } else {
    return extension.at(type);
  }
}

} // namespace xtr